<script lang="ts" setup>
import { ref } from "vue";
const emotions = ref("Smile");
const img = ref("feeling_imgs/smile.png");
const listfeels = [
  "feeling_imgs\\angry.png",
  "feeling_imgs\\cute.png",
  "feeling_imgs\\excited.png",
  "feeling_imgs\\pain.png",
  "feeling_imgs\\shocked.png",
  "feeling_imgs\\smile.png",
];
</script>
<template>
  <v-container fluid>
    <v-row>
      <v-col>
        <v-img :src="img" width="400" contain></v-img>
      </v-col>
      <v-col>
        <div class="text-center" style="font-size: xx-large">
          {{ emotions }}
        </div>
        <div>
          <v-btn
            class="ma-5"
            block
            @click="(emotions = 'Angry'), (img = listfeels[0])"
            >ANGRY</v-btn
          >
        </div>
        <div>
          <v-btn
            class="ma-5"
            block
            @click="(emotions = 'Cute'), (img = listfeels[1])"
            >CUTE</v-btn
          >
        </div>
        <div>
          <v-btn
            class="ma-5"
            block
            @click="(emotions = 'Excited'), (img = listfeels[2])"
            >EXCITED</v-btn
          >
        </div>
        <div>
          <v-btn
            class="ma-5"
            block
            @click="(emotions = 'Pain'), (img = listfeels[3])"
            >PAIN</v-btn
          >
        </div>
        <div>
          <v-btn
            class="ma-5"
            block
            @click="(emotions = 'Shocked'), (img = listfeels[4])"
            >SHOCKED</v-btn
          >
        </div>
        <div>
          <v-btn
            class="ma-5"
            block
            @click="(emotions = 'Smile'), (img = listfeels[5])"
            >Smile</v-btn
          >
        </div>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
.v-btn {
  width: max-content;
  size: x-large;
}
.v-btn:focus {
  background-color: yellow;
}
</style>
